Bug 186831 - amarok fc5 missing libamarok_ipod-mediadevice.so (ipod support)
amarok fc5 missing libamarok_ipod-mediadevice.so (ipod support)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: amarok (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-26 18:01 EST by Chris Shucksmith
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 1.4.0-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-01 03:50:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Shucksmith 2006-03-26 18:01:03 EST
Description of problem:
Amarok versions 1.4.x use a plug in structure for Media Devices. Plugins are to
be found at /usr/lib/kde3. Here I would expect libamarok_ipod-mediadevice.so
providing support for iPod devices but the file is missing.

How reproducible:
Tried with amarok-1.4-0.9.beta2.fc5

Actual Results:
1 The plugin file is missing
# rpm -q amarok
amarok-1.4-0.9.beta2.fc5
# ls -la /usr/lib/kde3 | grep libamarok | grep mediadevice.so
-rwxr-xr-x   1 root root   54228 Mar 21 23:26 libamarok_ifp-mediadevice.so
-rwxr-xr-x   1 root root   82108 Mar 21 23:26 libamarok_vfat-mediadevice.so
2. Amarok lists only iRiver and VFAT Media device types in the dialog shown when
inserting a USB iPod
  
Expected results:
1. Something like:
# rpm -q amarok
amarok-1.4-0.9.beta2.fc5
# ls -la /usr/lib/kde3 | grep libamarok | grep mediadevice.so
-rwxr-xr-x   1 root root   54228 Mar 21 23:26 libamarok_ifp-mediadevice.so
-rwxr-xr-x   1 root root   82108 Mar 21 23:26 libamarok_vfat-mediadevice.so
-rwxr-xr-x   1 root root   82108 Mar 21 23:26 libamarok_ipod-mediadevice.so
2. Amarok lists iRiver, iPod and VFAT Media device types in the dialog shown
when inserting a USB iPod
  
Additional info:
The configure script checks for required files before building this plugin. from
the amarok wiki http://amarok.kde.org/amarokwiki/index.php/Media_Devices#Apple_iPod

Some features, e.g. artwork support, depend on all the following being present
(including the respective -dev/-devel packages) at libgpod compile time:

    * gdkpixbuf: image reading
    * libgobject-2.0: interfacing with hal
    * hal/dbus: recognition of iPod model 

I will try and build from source to see what the requirements are. Was iPod
support disabled intentionally?
Comment 1 Rex Dieter 2006-06-25 17:42:15 EDT
Reasssinging Fedora Core/kdemultimedia -> Fedora Extras/amarok
Comment 2 Aurelien Bompard 2006-07-01 03:50:30 EDT
Please update to the latest amarok.

$ rpm -ql amarok | grep ipod
/usr/lib/kde3/libamarok_ipod-mediadevice.la
/usr/lib/kde3/libamarok_ipod-mediadevice.so
/usr/share/services/amarok_ipod-mediadevice.desktop
$ rpm -q amarok
amarok-1.4.0-5.fc5

Note You need to log in before you can comment on or make changes to this bug.